package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;

public class RelatorioLinhasHorarioBean {

	private String tipoLinha;
	private String grupoRuta;
	private String origem;
	private String destino;
	private String hora;
	private BigDecimal servico;
	private String trecho;
	private String sentido;
	private BigDecimal lot;
	private String cla;
	private BigDecimal extensao;
	private BigDecimal tarifa;
	private BigDecimal passagens;
	private BigDecimal seguro;
	private BigDecimal bagagens;
	private BigDecimal segOpc;
	private BigDecimal total;
	private BigDecimal ord;
	private BigDecimal extra;
	private BigDecimal absol;
	private BigDecimal mediaReceitaViagem;
	private BigDecimal totalViagem;
	private BigDecimal kmRodado;
	private BigDecimal equivalente;
	private BigDecimal mpa;
	private BigDecimal mpe;
	private BigDecimal rsKm;
	private BigDecimal eq;
	private BigDecimal rsViagem;
	private BigDecimal paxKmOfertado;
	private BigDecimal paxKmTransportado;
	private BigDecimal iap;
	private BigDecimal txEmbarque;
	private BigDecimal pedagio;
	private BigDecimal ordLinha;
	private BigDecimal extraLinha;
	private BigDecimal somaExtensaoTrecho;

	public RelatorioLinhasHorarioBean() {
	}

	public String getSentido() {
		return sentido;
	}

	public void convetSentido(BigDecimal sen) {

		if (sen == null) {
			this.sentido = "";
		} else {
			if (sen.intValue() == 1) {
				this.sentido = "Ida";
			} else {
				this.sentido = "Volta";
			}
		}
	}

	public String getTipoLinha() {
		return tipoLinha;
	}

	public void setTipoLinha(String tipoLinha) {
		try {
			tipoLinha = TipoLinha.valueOf(tipoLinha).getValue();
		} catch (Exception e) {
			e.printStackTrace();
		}
		this.tipoLinha = tipoLinha;
	}

	public String getGrupoRuta() {
		return grupoRuta;
	}

	public void setGrupoRuta(String grupoRuta) {
		this.grupoRuta = grupoRuta;
	}

	public String getOrigem() {
		return origem;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public BigDecimal getServico() {
		return servico == null ? BigDecimal.ZERO : servico;
	}

	public void setServico(BigDecimal servico) {
		this.servico = servico;
	}

	public String getTrecho() {
		return trecho;
	}

	public void setTrecho(String trecho) {
		this.trecho = trecho;
	}

	public BigDecimal getLot() {
		return lot == null ? BigDecimal.ZERO : lot;
	}

	public void setLot(BigDecimal lot) {
		this.lot = lot;
	}

	public String getCla() {
		return cla;
	}

	public void setCla(String cla) {
		this.cla = cla;
	}

	public BigDecimal getExtensao() {
		return extensao == null ? BigDecimal.ZERO : extensao;
	}

	public void setExtensao(BigDecimal extensao) {
		this.extensao = extensao;
	}

	public BigDecimal getTarifa() {
		return tarifa == null ? BigDecimal.ZERO : tarifa;
	}

	public void setTarifa(BigDecimal tarifa) {
		this.tarifa = tarifa;
	}

	public BigDecimal getPassagens() {
		return passagens == null ? BigDecimal.ZERO : passagens;
	}

	public void setPassagens(BigDecimal passagens) {
		this.passagens = passagens;
	}

	public BigDecimal getSeguro() {
		return seguro == null ? BigDecimal.ZERO : seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public BigDecimal getBagagens() {
		return bagagens == null ? BigDecimal.ZERO : bagagens;
	}

	public void setBagagens(BigDecimal bagagens) {
		this.bagagens = bagagens;
	}

	public BigDecimal getSegOpc() {
		return segOpc == null ? BigDecimal.ZERO : segOpc;
	}

	public void setSegOpc(BigDecimal segOpc) {
		this.segOpc = segOpc;
	}

	public BigDecimal getTotal() {
		return total == null ? BigDecimal.ZERO : total;
	}

	public void setTotal(BigDecimal total) {
		this.total = total;
	}

	public BigDecimal getOrd() {
		return ord == null ? BigDecimal.ZERO : ord;
	}

	public void setOrd(BigDecimal ord) {
		this.ord = ord;
	}

	public BigDecimal getExtra() {
		return extra == null ? BigDecimal.ZERO : extra;
	}

	public void setExtra(BigDecimal extra) {
		this.extra = extra;
	}

	public BigDecimal getAbsol() {
		return absol == null ? BigDecimal.ZERO : absol;
	}

	public void setAbsol(BigDecimal absol) {
		this.absol = absol;
	}

	public BigDecimal getMediaReceitaViagem() {
		return mediaReceitaViagem == null ? BigDecimal.ZERO : mediaReceitaViagem;
	}

	public void setMediaReceitaViagem(BigDecimal mediaReceitaViagem) {
		this.mediaReceitaViagem = mediaReceitaViagem;
	}

	public BigDecimal getTotalViagem() {
		return totalViagem == null ? BigDecimal.ZERO : totalViagem;
	}

	public void setTotalViagem(BigDecimal totalViagem) {
		this.totalViagem = totalViagem;
	}

	public BigDecimal getKmRodado() {
		return kmRodado == null ? BigDecimal.ZERO : kmRodado;
	}

	public void setKmRodado(BigDecimal kmRodado) {
		this.kmRodado = kmRodado;
	}

	public BigDecimal getEquivalente() {
		return equivalente == null ? BigDecimal.ZERO : equivalente;
	}

	public void setEquivalente(BigDecimal equivalente) {
		this.equivalente = equivalente;
	}

	public BigDecimal getMpa() {
		return mpa == null ? BigDecimal.ZERO : mpa;
	}

	public void setMpa(BigDecimal mpa) {
		this.mpa = mpa;
	}

	public BigDecimal getMpe() {
		return mpe == null ? BigDecimal.ZERO : mpe;
	}

	public void setMpe(BigDecimal mpe) {
		this.mpe = mpe;
	}

	public BigDecimal getRsKm() {
		return rsKm == null ? BigDecimal.ZERO : rsKm;
	}

	public void setRsKm(BigDecimal rsKm) {
		this.rsKm = rsKm;
	}

	public BigDecimal getEq() {
		return eq == null ? BigDecimal.ZERO : eq;
	}

	public void setEq(BigDecimal eq) {
		this.eq = eq;
	}

	public BigDecimal getRsViagem() {
		return rsViagem == null ? BigDecimal.ZERO : rsViagem;
	}

	public void setRsViagem(BigDecimal rsViagem) {
		this.rsViagem = rsViagem;
	}

	public BigDecimal getPaxKmOfertado() {
		return paxKmOfertado == null ? BigDecimal.ZERO : paxKmOfertado;
	}

	public void setPaxKmOfertado(BigDecimal paxKmOfertado) {
		this.paxKmOfertado = paxKmOfertado;
	}

	public BigDecimal getPaxKmTransportado() {
		return paxKmTransportado == null ? BigDecimal.ZERO : paxKmTransportado;
	}

	public void setPaxKmTransportado(BigDecimal paxKmTransportado) {
		this.paxKmTransportado = paxKmTransportado;
	}

	public BigDecimal getIap() {
		return iap == null ? BigDecimal.ZERO : iap;
	}

	public void setIap(BigDecimal iap) {
		this.iap = iap;
	}

	public BigDecimal getTxEmbarque() {
		return txEmbarque;
	}

	public void setTxEmbarque(BigDecimal txEmbarque) {
		this.txEmbarque = txEmbarque;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getOrdLinha() {
		return ordLinha;
	}

	public void setOrdLinha(BigDecimal ordLinha) {
		this.ordLinha = ordLinha;
	}

	public BigDecimal getExtraLinha() {
		return extraLinha;
	}

	public void setExtraLinha(BigDecimal extraLinha) {
		this.extraLinha = extraLinha;
	}

	public BigDecimal getSomaExtensaoTrecho() {
		return somaExtensaoTrecho;
	}

	public void setSomaExtensaoTrecho(BigDecimal somaExtensaoTrecho) {
		this.somaExtensaoTrecho = somaExtensaoTrecho;
	}
}
